/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.plugin.dbdotnet.resourcebundle;

import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * BlancoDbDotNetプラグインのリソースバンドルです。
 *
 * リソースバンドル定義: [BlancoDbDotNetPlugin]。<BR>
 * このクラスはリソースバンドル定義書から自動生成されたリソースバンドルクラスです。<BR>
 * 既知のロケール<BR>
 * <UL>
 * <LI>ja
 * </UL>
 */
public class BlancoDbDotNetPluginResourceBundle {
    /**
     * リソースバンドルオブジェクト。
     *
     * 内部的に実際に入力を行うリソースバンドルを記憶します。
     */
    private ResourceBundle fResourceBundle;

    /**
     * BlancoDbDotNetPluginResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoDbDotNetPlugin]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     */
    public BlancoDbDotNetPluginResourceBundle() {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/plugin/dbdotnet/resourcebundle/BlancoDbDotNetPlugin");
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoDbDotNetPluginResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoDbDotNetPlugin]、指定されたロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     */
    public BlancoDbDotNetPluginResourceBundle(final Locale locale) {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/plugin/dbdotnet/resourcebundle/BlancoDbDotNetPlugin", locale);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoDbDotNetPluginResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoDbDotNetPlugin]、指定されたロケール、指定されたクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     * @param loader クラスローダの指定
     */
    public BlancoDbDotNetPluginResourceBundle(final Locale locale, final ClassLoader loader) {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/plugin/dbdotnet/resourcebundle/BlancoDbDotNetPlugin", locale, loader);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * 内部的に保持しているリソースバンドルオブジェクトを取得します。
     *
     * @return 内部的に保持しているリソースバンドルオブジェクト。
     */
    public ResourceBundle getResourceBundle() {
        return fResourceBundle;
    }

    /**
     * bundle[BlancoDbDotNetPlugin], key[CLEAR_TMP_FOLDER]
     *
     * [true] (ja)<br>
     *
     * @return key[CLEAR_TMP_FOLDER]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getClearTmpFolder() {
        // 初期値として定義書の値を利用します。
        String strFormat = "true";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("CLEAR_TMP_FOLDER");
            }
        } catch (MissingResourceException ex) {
        }
        // 置換文字列はひとつもありません。
        return strFormat;
    }
}
